X2Go Bug report logs - #113
X11TransWritev in libNX_X11.so.6 causes VLC crash

version graph

Package: nxagent; Maintainer for nxagent is X2Go Developers <x2go-dev@lists.x2go.org>; Source for nxagent is src:nx-libs.

Reported by: Rob <rob@reverse-engineering.info>

Date: Thu, 31 Jan 2013 12:48:01 UTC

Severity: normal

Merged with 410, 467

Found in version 3.5.0.22

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#113; Package x2goserver. (Thu, 31 Jan 2013 12:48:02 GMT) (full text, mbox, link).


Acknowledgement sent to Rob <rob@reverse-engineering.info>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 31 Jan 2013 12:48:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Rob <rob@reverse-engineering.info>
To: submit@bugs.x2go.org
Subject: X11TransWritev in libNX_X11.so.6 causes VLC crash
Date: Thu, 31 Jan 2013 13:46:03 +0100
  
Package: x2goserver
Version: 4.0.0.0-0~640~precise1

when loading vlc a Segmentation fault is caused.
This only happens since i switched from FreeNX
to x2go. 

Server: Ubuntu 12.10 - XFCE - 3.2.0-36-generic #57-Ubuntu SMP x86_64
current windows and linux clients both tested.

VLC media player 2.0.5 Twoflower (revision 2.0.5-0-g1661b7d)
[0x130d108] main libvlc: Running vlc with the default interface. Use 'cvlc' to use vlc without interface.
Segmentation fault (core dumped)


GNU gdb (Ubuntu/Linaro 7.4-2012.04-0ubuntu2.1) 7.4-2012.04
Copyright (C) 2012 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-linux-gnu".
For bug reporting instructions, please see:
<http://bugs.launchpad.net/gdb-linaro/>...
Reading symbols from /usr/bin/vlc...(no debugging symbols found)...done.
(gdb) run

Starting program: /usr/bin/vlc 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
VLC media player 2.0.5 Twoflower (revision 2.0.5-0-g1661b7d)
[New Thread 0x7ffff7fdd700 (LWP 13622)]
[0x605108] main libvlc: Running vlc with the default interface. Use 'cvlc' to use vlc without interface.
[New Thread 0x7fffee505700 (LWP 13623)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7fffee505700 (LWP 13623)]
0x00007fffe7957be0 in _X11TransWritev () from /usr/lib/nx/X11/libNX_X11.so.6

-- 
Best regards,
 Rob                          mailto:rob@reverse-engineering.info


Bug reassigned from package 'x2goserver' to 'nx-libs'. Request was from mike@das-netzwerkteam.de (Mike Gabriel) to control@bugs.x2go.org. (Fri, 01 Feb 2013 08:40:04 GMT) (full text, mbox, link).


No longer marked as found in versions 4.0.0.0-0~640~precise1. Request was from mike@das-netzwerkteam.de (Mike Gabriel) to control@bugs.x2go.org. (Fri, 01 Feb 2013 08:40:04 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#113; Package nx-libs. (Sat, 09 Mar 2013 14:33:01 GMT) (full text, mbox, link).


Acknowledgement sent to "Anonymous Remailer (austria)" <mixmaster@remailer.privacy.at>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sat, 09 Mar 2013 14:33:01 GMT) (full text, mbox, link).


Message #14 received at 113@bugs.x2go.org (full text, mbox, reply):

From: "Anonymous Remailer (austria)" <mixmaster@remailer.privacy.at>
To: 113@bugs.x2go.org
Subject: VLC: Segmentation fault
Date: Sat, 9 Mar 2013 15:25:16 +0100 (CET)
I've got the same issue with x2goserver 4.0.0.0-0~640~precise1 (libnx 2:3.5.0.17-0~320~precise1, vlc 2.0.5-0ubuntu0.12.04.1) on Xubuntu 12.04.
On Debian 6.0 with x2goserver 4.0.0.0-0~x2go1~squeeze~main~640~build1 (libnx 2:3.5.0.17-0+squeeze~385~build1, vlc 1.1.3-1squeeze6) everything works fine.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#113; Package nx-libs. (Sat, 09 Mar 2013 14:48:01 GMT) (full text, mbox, link).


🔗 View this message in rfc822 format

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Rob <rob@reverse-engineering.info>
Cc: 113@bugs.x2go.org
Subject: Bug#113: X2Go/NX and vlc
Date: Wed, 11 Jun 2014 21:38:06 +0000
[Message part 1 (text/plain, inline)]
Control: tag -1 moreinfo

Hi Rob,

you reported #113 on X2Go BTS [1].

I have just now successfully played a video with VLC and have not  
received an error as you reported in #113.

Can you please test with latest NX from our nightly builds [2] and  
report back if the issue still exists for you? Thanks.

Thanks,
Mike

[1] http://bugs.x2go.org/113
[2] http://wiki.x2go.org/doku.php/wiki:development:nightly-builds
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 11 Jun 2014 21:40:04 GMT) (full text, mbox, link).


Added tag(s) moreinfo. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 113-submit@bugs.x2go.org. (Wed, 11 Jun 2014 21:40:04 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#113; Package nx-libs. (Fri, 13 Jun 2014 20:15:03 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 13 Jun 2014 20:15:03 GMT) (full text, mbox, link).


Message #27 received at 113@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 113@bugs.x2go.org
Subject: VLC crashes probably generally related to Qt4 crashes
Date: Fri, 13 Jun 2014 20:11:14 +0000
[Message part 1 (text/plain, inline)]
Control: reassign #410 nxagent
Control: reassign -1 nxagent
Control: tag -1 - moreinfo
Control: merge #410 -1

Obviously the crashes are related to Qt4 crashes introduced since  
nx-libs 3.5.0.22 as discussed in more depth under issue #410.

Merging this issue report into #410.

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Bug reassigned from package 'nx-libs' to 'nxagent'. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 113-submit@bugs.x2go.org. (Fri, 13 Jun 2014 20:15:03 GMT) (full text, mbox, link).


Removed tag(s) moreinfo. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 113-submit@bugs.x2go.org. (Fri, 13 Jun 2014 20:15:03 GMT) (full text, mbox, link).


Merged 113 410 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 113-submit@bugs.x2go.org. (Fri, 13 Jun 2014 20:15:03 GMT) (full text, mbox, link).


Marked as found in versions 3.5.0.22. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 467-submit@bugs.x2go.org. (Mon, 30 Jun 2014 13:20:02 GMT) (full text, mbox, link).


Merged 113 410 467 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 467-submit@bugs.x2go.org. (Mon, 30 Jun 2014 13:20:02 GMT) (full text, mbox, link).


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 30 Jun 2014 20:05:02 GMT) (full text, mbox, link).


Notification sent to Rob <rob@reverse-engineering.info>:
Bug acknowledged by developer. (Mon, 30 Jun 2014 20:05:02 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Tue, 29 Jul 2014 05:24:01 GMT) (full text, mbox, link).


Bug unarchived. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 20 Feb 2016 19:40:02 GMT) (full text, mbox, link).


Bug archived. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 20 Feb 2016 20:20:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Dec 13 15:36:25 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.